Bug 1417998 - [abrt] geoclue2: g_bytes_unref(): geoclue killed by SIGSEGV
Summary: [abrt] geoclue2: g_bytes_unref(): geoclue killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: geoclue2
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zeeshan Ali
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:269c3139980c13867bd13e30b92...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 14:53 UTC by Niko
Modified: 2017-12-12 10:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:34:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.29 KB, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: cgroup (232 bytes, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: core_backtrace (9.30 KB, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: dso_list (5.02 KB, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: environ (280 bytes, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: maps (23.07 KB, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: mountinfo (3.66 KB, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: open_fds (559 bytes, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details
File: var_log_messages (286 bytes, text/plain)
2017-01-31 14:53 UTC, Niko
no flags Details

Description Niko 2017-01-31 14:53:03 UTC
Version-Release number of selected component:
geoclue2-2.4.4-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/geoclue -t 5
crash_function: g_bytes_unref
executable:     /usr/libexec/geoclue
global_pid:     2065
kernel:         4.9.4-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            992

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 g_bytes_unref at gbytes.c:310
 #3 g_variant_unref at gvariant-core.c:638
 #4 g_hash_table_remove_all_nodes at ghash.c:548
 #6 g_hash_table_unref at ghash.c:1097
 #7 g_dbus_proxy_finalize at gdbusproxy.c:234
 #9 on_interface_removed at gclue-wifi.c:542
 #10 ffi_call_unix64 at ../src/x86/unix64.S:76
 #11 ffi_call at ../src/x86/ffi64.c:525

Comment 1 Niko 2017-01-31 14:53:11 UTC
Created attachment 1246307 [details]
File: backtrace

Comment 2 Niko 2017-01-31 14:53:12 UTC
Created attachment 1246308 [details]
File: cgroup

Comment 3 Niko 2017-01-31 14:53:15 UTC
Created attachment 1246309 [details]
File: core_backtrace

Comment 4 Niko 2017-01-31 14:53:16 UTC
Created attachment 1246310 [details]
File: dso_list

Comment 5 Niko 2017-01-31 14:53:18 UTC
Created attachment 1246311 [details]
File: environ

Comment 6 Niko 2017-01-31 14:53:20 UTC
Created attachment 1246312 [details]
File: exploitable

Comment 7 Niko 2017-01-31 14:53:21 UTC
Created attachment 1246313 [details]
File: limits

Comment 8 Niko 2017-01-31 14:53:24 UTC
Created attachment 1246314 [details]
File: maps

Comment 9 Niko 2017-01-31 14:53:26 UTC
Created attachment 1246315 [details]
File: mountinfo

Comment 10 Niko 2017-01-31 14:53:27 UTC
Created attachment 1246316 [details]
File: namespaces

Comment 11 Niko 2017-01-31 14:53:29 UTC
Created attachment 1246317 [details]
File: open_fds

Comment 12 Niko 2017-01-31 14:53:31 UTC
Created attachment 1246318 [details]
File: proc_pid_status

Comment 13 Niko 2017-01-31 14:53:32 UTC
Created attachment 1246319 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:25:53 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:34:55 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.